<?xml version="1.0" encoding="utf-8"?>
<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/app_bar_layout" >

    <ImageView
        android:id="@+id/img_back"
        android:layout_width="@dimen/title_bar_height"
        android:layout_height="@dimen/title_bar_height"
        android:layout_centerVertical="true"
        android:layout_gravity="center_vertical"
        android:background="?android:selectableItemBackground"
        android:padding="16dp" />

    <TextView
        android:id="@+id/tv_left"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:layout_gravity="center_vertical"
        android:layout_marginStart="10dp"
        android:layout_toEndOf="@id/img_back"
        android:gravity="center"
        android:textColor="@color/black"
        android:textSize="14sp"
        android:visibility="gone"
        tools:text="@string/save"
        tools:visibility="visible" >

    </TextView >

    <TextView
        android:id="@+id/tv_right"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentEnd="true"
        android:layout_centerVertical="true"
        android:layout_marginEnd="12dp"
        android:gravity="center"
        android:paddingLeft="7dp"
        android:paddingTop="3.5dp"
        android:paddingRight="7dp"
        android:paddingBottom="3.5dp"
        android:textColor="@color/white"
        android:textSize="13.5sp"
        android:visibility="visible"
        tools:text="@string/app_name"
        tools:visibility="visible" />

    <ImageView
        android:id="@+id/img_right"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_alignParentRight="true"
        android:layout_centerVertical="true"
        android:layout_toStartOf="@id/tv_right"
        android:padding="12dp"
        android:visibility="gone"
        tools:src="@drawable/ic_default_avatar"
        tools:visibility="visible" />

    <ImageView
        android:id="@+id/img_right_left"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_centerVertical="true"
        android:layout_toLeftOf="@id/img_right"
        android:padding="15dp"
        android:visibility="gone"
        tools:src="@drawable/ic_default_avatar"
        tools:visibility="visible" />

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_marginStart="@dimen/dp_40"
        android:layout_marginEnd="@dimen/dp_40"
        android:gravity="center"
        android:orientation="vertical" >

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:ellipsize="marquee"
            android:gravity="center"
            android:maxWidth="180dp"
            android:singleLine="true"
            android:text="s"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/tv_title_bottom"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="marquee"
            android:gravity="center"
            android:singleLine="true"
            android:text="s"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_12"
            android:visibility="gone" />
    </LinearLayout >

</merge >

